> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start Streaming

> *Rate limit: 100 requests / 10 seconds per shop. See [Rate limiting](/guides/rate-limiting).*

Sets streaming status to started for specified services

<Note>
  **OAuth scope:** `giveaway_write`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml PUT /open-api/v1.0/streaming/start
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/streaming/start:
    put:
      tags:
        - Streaming
      summary: Set streaming status to started
      description: >-
        *Rate limit: 100 requests / 10 seconds per shop. See [Rate
        limiting](/guides/rate-limiting).*


        Sets streaming status to started for specified services
      operationId: start-streaming
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/com.fourthwall.app.openapi.endpoint.StreamingStartedRequest
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1
        '429':
          description: 'Rate limited: 100 requests / 10 seconds per shop.'
          content:
            application/json:
              examples:
                too-many-requests:
                  value:
                    code: OPEN_API_TOO_MANY_REQUESTS
                    title: Too many requests
                    status: 429
      security:
        - oauth:
            - giveaway_write
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/streaming/start-streaming
components:
  schemas:
    com.fourthwall.app.openapi.endpoint.StreamingStartedRequest:
      type: object
      properties:
        services:
          type: array
          items:
            oneOf:
              - $ref: >-
                  #/components/schemas/com.fourthwall.app.openapi.endpoint.StreamingStartedRequest.Service.Twitch
      required:
        - services
      title: Streaming Started Request
    com.fourthwall.openapi.model.StreamingStatusV1:
      type: object
      properties:
        shopId:
          type: string
        services:
          type: array
          items:
            oneOf:
              - $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1.Service.Twitch
      required:
        - services
        - shopId
      title: Streaming Status
    com.fourthwall.app.openapi.endpoint.StreamingStartedRequest.Service.Twitch:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.app.openapi.endpoint.StreamingStartedRequest.Service
        - type: object
          properties:
            broadcasterId:
              type: string
            broadcasterLogin:
              type: string
            thumbnailUrl:
              type: string
      required:
        - broadcasterId
        - broadcasterLogin
      title: Twitch
    com.fourthwall.openapi.model.StreamingStatusV1.Service.Twitch:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1.Service
        - type: object
          properties:
            status:
              type: string
              enum:
                - ONLINE
                - OFFLINE
            broadcasterId:
              type: string
            broadcasterLogin:
              type: string
            thumbnailUrl:
              type: string
        - type: object
          properties:
            type:
              type: string
              const: TWITCH
      required:
        - status
      title: Twitch
    com.fourthwall.app.openapi.endpoint.StreamingStartedRequest.Service:
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
      required:
        - type
      title: Service
    com.fourthwall.openapi.model.StreamingStatusV1.Service:
      discriminator:
        propertyName: type
        mapping:
          TWITCH:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.StreamingStatusV1.Service.Twitch
      properties:
        type:
          type: string
      required:
        - type
      title: Service
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            donation_read: donation_read
            order_read: order_read
            order_write: order_write
            fulfillment_write: fulfillment_write
            giveaway_read: giveaway_read
            giveaway_write: giveaway_write
            memberships_read: memberships_read
            memberships_write: memberships_write
            promotions_write: promotions_write
            promotions_read: promotions_read
            offer_read: offer_read
            offer_write: offer_write
            shop_read: shop_read
            thankyou_read: thankyou_read
            thankyou_write: thankyou_write
            webhook_read: webhook_read
            webhook_write: webhook_write
            media_read: media_read
            media_write: media_write
            analytics_read: analytics_read
            samples_read: samples_read
            samples_write: samples_write
            dns_read: dns_read
            dns_write: dns_write
            settings_read: settings_read
            payout_read: payout_read
            integrations_read: integrations_read
    basicAuth:
      type: http
      scheme: basic

````